# [[ zenUtils ]]

### --refined UI/workflow helper scripts--
#### Derek Stevens <nilix@nilfm.cc>

## About

This is a simple collection of helper scripts to round out my two common desktop sessions:

* ryudo
* fluxbox

### extdisplay

Wrapper script around `xrandr` to handle a second monitor on a laptop.

### nmtuiWin

Wrapper script around `nmtui` to aid in network configuration in the absence of nm-applet. An alacritty config file hardcodes the colors for the `ncurses` interface.

### logout

Dmenu script to provide session/power management menu.

### batAlarm

Simple script to tell you when your battery's running out when you don't have a panel.

### sirius

Background worker to sync an imap mailbox.

### ztabelle

Generate a timesheet for a given month by manipulating the output from `zeit`

### zdconvert

Breakdown weekly data from `zeit` into by-day/by-project buckets for easy transferral to daptiv

### riosh

Shell script to loosley emulate `rio` behavior in a EWMH-compliant WM

### desks

shell script to facilitate desktop switching via a tint2 executor

### t2stats

tint2 system load/memory, battery, and network info

### dynacal

displays either regular or arvelie clock in a tint2 executor, with an action to switch them as well

### podlist

Parse podcast `rss` feeds into `m3u` playlists to drag-n-drop into `audacious` or any other audio player; uses `xmllint` from [libxml2](https://github.com/GNOME/libxml2)

### storage_menu

Openbox pipe menu for managing removable disks with udiskie (for when you don't want automount or systray)

## License

This collection is released permissively under the MIT License. You can do whatever you want with it, as long as you leave my name on it.
